Patch  oval:org.mitre.oval:def:13259
USN-876-1 -- postgresql-8.1, postgresql-8.3, postgresql-8.4 vulnerabilities  

It was discovered that PostgreSQL did not properly handle certificates with NULL characters in the Common Name field of X.509 certificates. An attacker could exploit this to perform a man in the middle attack to view sensitive information or alter encrypted communications. It was discovered that PostgreSQL did not properly manage session-local state. A remote authenticated user could exploit this to escalate priviliges within PostgreSQL
Create Date: 2011-10-18 Last Update Date: 2014-07-07

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions) Products: unix
  • Ubuntu 9.04
  • Ubuntu 6.06
  • Ubuntu 9.10
  • Ubuntu 8.10
  • Ubuntu 8.04
  • postgresql-8.4
  • postgresql-8.3
  • postgresql-8.1

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 9.04 is installed oval:org.mitre.oval:def:12669
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Any one of the following are true Packages section
IF : libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat3 package information
libecpg-compat3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes3 package information
libpgtypes3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq5 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libpq5 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq5 package information
libpq5
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.3 package information
postgresql-pltcl-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-dev DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.3 package information
postgresql-contrib-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.3 package information
postgresql-server-dev-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.3 package information
postgresql-plpython-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg6 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libecpg6 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg6 package information
libecpg6
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.3 package information
postgresql-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.3 package information
postgresql-plperl-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.3 package information
postgresql-client-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql package information
postgresql
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib package information
postgresql-contrib
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-client DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client package information
postgresql-client
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-doc DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc package information
postgresql-doc
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04
Linux : Debian DPKG Test :  postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu9.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.3 package information
postgresql-doc-8.3
RPM Version less than 0:8.3.9-0ubuntu9.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 9.10 is installed oval:org.mitre.oval:def:13079
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql-client DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-client DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client package information
postgresql-client
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-contrib DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib package information
postgresql-contrib
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-doc DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc package information
postgresql-doc
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql package information
postgresql
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-doc-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.4 package information
postgresql-doc-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Any one of the following are true Packages section
IF : libpq5 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libpq5 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq5 package information
libpq5
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes3 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libpgtypes3 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes3 package information
libpgtypes3
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-compat3 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libecpg-compat3 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat3 package information
libecpg-compat3
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-plperl-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.4 package information
postgresql-plperl-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-dev DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-server-dev-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.4 package information
postgresql-server-dev-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-plpython-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.4 package information
postgresql-plpython-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-pltcl-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.4 package information
postgresql-pltcl-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg6 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  libecpg6 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg6 package information
libecpg6
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-client-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.4 package information
postgresql-client-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-contrib-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.4 package information
postgresql-contrib-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10
Linux : Debian DPKG Test :  postgresql-8.4 DPKG is earlier than 8.4.2-0ubuntu9.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.4 package information
postgresql-8.4
RPM Version less than 0:8.4.2-0ubuntu9.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 6.06 is installed oval:org.mitre.oval:def:13319
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : libecpg-compat2 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libecpg-compat2 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat2 package information
libecpg-compat2
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-plperl-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.1 package information
postgresql-plperl-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-plpython-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.1 package information
postgresql-plpython-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq4 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libpq4 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq4 package information
libpq4
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-server-dev-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.1 package information
postgresql-server-dev-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-dev DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes2 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libpgtypes2 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes2 package information
libpgtypes2
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-pltcl-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.1 package information
postgresql-pltcl-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg5 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  libecpg5 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg5 package information
libecpg5
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-contrib-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.1 package information
postgresql-contrib-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.1 package information
postgresql-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-client-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.1 package information
postgresql-client-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : All of the following are true Architecture independet section
IF : postgresql-doc-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06
Linux : Debian DPKG Test :  postgresql-doc-8.1 DPKG is earlier than 8.1.19-0ubuntu0.6.06 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.1 package information
postgresql-doc-8.1
RPM Version less than 0:8.1.19-0ubuntu0.6.06 (datatype=evr_string)
linux : dpkginfo_state 
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.10 is installed oval:org.mitre.oval:def:13306
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Any one of the following are true Packages section
IF : libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat3 package information
libecpg-compat3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.3 package information
postgresql-plperl-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq5 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libpq5 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq5 package information
libpq5
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.3 package information
postgresql-pltcl-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes3 package information
libpgtypes3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-dev DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.3 package information
postgresql-server-dev-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.3 package information
postgresql-plpython-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.3 package information
postgresql-contrib-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.3 package information
postgresql-client-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.3 package information
postgresql-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg6 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  libecpg6 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg6 package information
libecpg6
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.3 package information
postgresql-doc-8.3
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-doc DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc package information
postgresql-doc
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql package information
postgresql
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib package information
postgresql-contrib
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client DPKG is earlier than 8.3.9-0ubuntu8.10
Linux : Debian DPKG Test :  postgresql-client DPKG is earlier than 8.3.9-0ubuntu8.10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client package information
postgresql-client
RPM Version less than 0:8.3.9-0ubuntu8.10 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.04 is installed oval:org.mitre.oval:def:13250
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Any one of the following are true Packages section
IF : libecpg-dev DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libecpg-dev DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-dev package information
libecpg-dev
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq5 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libpq5 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq5 package information
libpq5
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-plperl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plperl-8.3 package information
postgresql-plperl-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libecpg-compat3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg-compat3 package information
libecpg-compat3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-pltcl-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-pltcl-8.3 package information
postgresql-pltcl-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-contrib-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib-8.3 package information
postgresql-contrib-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-server-dev-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-server-dev-8.3 package information
postgresql-server-dev-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libpgtypes3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpgtypes3 package information
libpgtypes3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-plpython-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-plpython-8.3 package information
postgresql-plpython-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libpq-dev DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libpq-dev DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libpq-dev package information
libpq-dev
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : libecpg6 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  libecpg6 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libecpg6 package information
libecpg6
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-8.3 package information
postgresql-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-client-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client-8.3 package information
postgresql-client-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-contrib DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-contrib package information
postgresql-contrib
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql package information
postgresql
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-client DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-client DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-client package information
postgresql-client
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-doc-8.3 DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc-8.3 package information
postgresql-doc-8.3
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 
IF : postgresql-doc DPKG is earlier than 8.3.9-0ubuntu8.04
Linux : Debian DPKG Test :  postgresql-doc DPKG is earlier than 8.3.9-0ubuntu8.04 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package postgresql-doc package information
postgresql-doc
RPM Version less than 0:8.3.9-0ubuntu8.04 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html